## START: Set by rpmautospec
## (rpmautospec version 0.7.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           accel-ppp
Version:        1.13.0
Release:        %autorelease
Summary:        High-performance VPN and broadband protocol server
License:        GPL-2.0
URL:            https://accel-ppp.org/
Source:         https://github.com/accel-ppp/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc
%ifnarch i686
BuildRequires:  kernel-modules-extra
%endif
BuildRequires:  openssl-devel
BuildRequires:  pcre-devel

%description
accel-ppp is a Linux kernel-accelerated implementation of PPPoE, PPTP, L2TP
and other VPN and broadband protocols.

%prep
%autosetup

%build
# We need Centos9 for modern Fedora versions alongside EPEL 9
%cmake -DCMAKE_BUILD_TYPE=Release -DCPACK_TYPE=Centos9
%cmake_build

%install
%cmake_install

%files
%{_bindir}/accel-cmd
%{_datadir}/accel-ppp/l2tp/dictionary
%{_datadir}/accel-ppp/l2tp/dictionary.rfc2661
%{_datadir}/accel-ppp/l2tp/dictionary.rfc3931
%{_datadir}/accel-ppp/radius/dictionary
%{_datadir}/accel-ppp/radius/dictionary.accel
%{_datadir}/accel-ppp/radius/dictionary.alcatel
%{_datadir}/accel-ppp/radius/dictionary.cisco
%{_datadir}/accel-ppp/radius/dictionary.dhcp
%{_datadir}/accel-ppp/radius/dictionary.microsoft
%{_datadir}/accel-ppp/radius/dictionary.mikrotik
%{_datadir}/accel-ppp/radius/dictionary.rfc2865
%{_datadir}/accel-ppp/radius/dictionary.rfc2866
%{_datadir}/accel-ppp/radius/dictionary.rfc2867
%{_datadir}/accel-ppp/radius/dictionary.rfc2868
%{_datadir}/accel-ppp/radius/dictionary.rfc2869
%{_datadir}/accel-ppp/radius/dictionary.rfc3162
%{_datadir}/accel-ppp/radius/dictionary.rfc3576
%{_datadir}/accel-ppp/radius/dictionary.rfc3580
%{_datadir}/accel-ppp/radius/dictionary.rfc4072
%{_datadir}/accel-ppp/radius/dictionary.rfc4372
%{_datadir}/accel-ppp/radius/dictionary.rfc4675
%{_datadir}/accel-ppp/radius/dictionary.rfc4679
%{_datadir}/accel-ppp/radius/dictionary.rfc4818
%{_datadir}/accel-ppp/radius/dictionary.rfc4849
%{_datadir}/accel-ppp/radius/dictionary.rfc5176
%{_datadir}/accel-ppp/radius/dictionary.rfc6911
%{_libdir}/accel-ppp/libauth_chap_md5.so
%{_libdir}/accel-ppp/libauth_mschap_v1.so
%{_libdir}/accel-ppp/libauth_mschap_v2.so
%{_libdir}/accel-ppp/libauth_pap.so
%{_libdir}/accel-ppp/libchap-secrets.so
%{_libdir}/accel-ppp/libconnlimit.so
%{_libdir}/accel-ppp/libipoe.so
%{_libdir}/accel-ppp/libippool.so
%{_libdir}/accel-ppp/libipv6_dhcp.so
%{_libdir}/accel-ppp/libipv6_nd.so
%{_libdir}/accel-ppp/libipv6pool.so
%{_libdir}/accel-ppp/libl2tp.so
%{_libdir}/accel-ppp/liblog_file.so
%{_libdir}/accel-ppp/liblog_syslog.so
%{_libdir}/accel-ppp/liblog_tcp.so
%{_libdir}/accel-ppp/liblogwtmp.so
%{_libdir}/accel-ppp/libpppd_compat.so
%{_libdir}/accel-ppp/libpppoe.so
%{_libdir}/accel-ppp/libpptp.so
%{_libdir}/accel-ppp/libradius.so
%{_libdir}/accel-ppp/libshaper.so
%{_libdir}/accel-ppp/libsigchld.so
%{_libdir}/accel-ppp/libsstp.so
%{_libdir}/accel-ppp/libtriton.so
%{_libdir}/accel-ppp/libvlan-mon.so
%{_mandir}/man1/accel-cmd.1.gz
%{_mandir}/man5/accel-ppp.conf.5.gz
%{_sbindir}/accel-pppd
%{_sysconfdir}/accel-ppp.conf.dist
%{_unitdir}/accel-ppp.service
%license COPYING

%changelog
## START: Generated by rpmautospec
* Wed Sep 04 2024 John Doe <packager@example.com> - 1.13.0-1
- Uncommitted changes
## END: Generated by rpmautospec
